Bug 238237 - Review Request: perl-Catalyst-Plugin-Static-Simple - Make serving static pages painless
Summary: Review Request: perl-Catalyst-Plugin-Static-Simple - Make serving static page...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Catalyst-...
Whiteboard:
Keywords:
Depends On: Catalyst-Runtime 238236
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-28 04:11 UTC by Chris Weyl
Modified: 2010-08-25 17:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-05 21:22:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2007-04-28 04:11:40 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Plugin-Static-Simple-0.15-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Plugin-Static-Simple.spec

Description:
The Static::Simple plugin is designed to make serving static content in
your application during development quick and easy, without requiring a
single line of code from you.

Comment 1 Parag AN(पराग) 2007-06-05 10:45:49 UTC
spec should also BR perl(HTTP::Request::AsCGI)
add it and will review it then

Comment 3 Parag AN(पराग) 2007-06-05 16:24:38 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
930594a0490af190eed4f62ac1ac5e9b  Catalyst-Plugin-Static-Simple-0.15.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
+ ./Build test
t/01use.............ok
t/02pod.............ok
t/03podcoverage.....ok
t/04static..........ok
t/05dirs............ok
t/06include_path....ok
t/07mime_types......ok
t/08subreq..........ok
t/09ignore_ext......ok
t/10ignore_dirs.....ok
All tests successful.
Files=10, Tests=41,  6 wallclock secs ( 3.55 cusr +  0.30 csys =  3.85 CPU)
+ exit 0
+ Provides: perl(Catalyst::Plugin::Static::Simple) = 0.15
+ Requires: perl(:MODULE_COMPAT_5.8.8) perl(Catalyst) >= 5.30 perl(File::Spec)
perl(File::stat) perl(IO::File) perl(MIME::Types) perl(base) perl(strict)
perl(warnings)


APPROVED.


Comment 4 Chris Weyl 2007-06-05 16:41:15 UTC
New Package CVS Request
=======================
Package Name: perl-Catalyst-Plugin-Static-Simple
Short Description: Make serving static pages painless
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, F-7, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 5 Tom "spot" Callaway 2007-06-05 21:09:38 UTC
cvs done

Comment 6 Chris Weyl 2007-06-05 21:22:14 UTC
Imported and building.

Thanks for the review! :)

Comment 7 Iain Arnell 2010-08-25 05:56:01 UTC
Package Change Request
======================
Package Name: perl-Catalyst-Plugin-Static-Simple
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig

Comment 8 Kevin Fenzi 2010-08-25 17:19:53 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.